/* Pragmas for con.library */

/* Created from the original assembly source ('con_lib.fd') by Bjrn Reese.
** C translation by Michael Berg.
** This will work perfectly under Aztec, but requires modifications for
** Lattice.
** Place this file in <pragmas/conlib.h>.
*/

#ifndef PRAGMAS_CONLIB_H
#define PRAGMAS_CONLIB_H

#include <protos/conlib.h>

#pragma amicall(ConBase, 0x1e, OpenCon(a0,d0))
#pragma amicall(ConBase, 0x24, CloseCon(a0))
#pragma amicall(ConBase, 0x2a, DoFormat(a0,a1,a2,a3,d0))
#pragma amicall(ConBase, 0x30, UserNotes(a0,a1,d0))
#pragma amicall(ConBase, 0x36, DefineChars(d0,a1,a2))
#pragma amicall(ConBase, 0x3c, DisplayRaw(a0,a1,d0))
#pragma amicall(ConBase, 0x42, Display(a0,a1,a2,d0))
#pragma amicall(ConBase, 0x48, Accept(a0,a1,d0))
#pragma amicall(ConBase, 0x4e, AcceptString(a0,a1,d0))
#pragma amicall(ConBase, 0x54, SetMsgHandler(a0,a1))
#pragma amicall(ConBase, 0x5a, GetInfo(a0,a1))
#pragma amicall(ConBase, 0x60, SetGfx(a0,d0,d1,d2))
#pragma amicall(ConBase, 0x66, GotoXY(a0,d0,d1))
#pragma amicall(ConBase, 0x6c, Cursor(a0,d0))
#pragma amicall(ConBase, 0x72, Scroll(a0,d0))
#pragma amicall(ConBase, 0x78, Convert(a1,a2,d0,d1))

#endif
