/* Protos for con.library */

/* Created from the original assembly source ('con_lib.fd') by Bjrn Reese.
** C translation by Michael Berg.
** Place this file in <protos/conlib.h>.
*/

#ifndef PROTOS_CONLIB_H
#define PROTOS_CONLIB_H

#include <exec/types.h>

/* Structure headers */
struct Window;
struct ConHandle;
struct ConInfo;
struct AcceptStructure;

struct ConHandle *OpenCon(struct Window *,int);
void CloseCon(struct ConHandle *);
char *DoFormat(struct ConHandle *,char *,char **,char *,int);
void UserNotes(struct ConHandle *,char *,int);
void DefineChars(int,UBYTE *,char *);
void DisplayRaw(struct ConHandle *,char *,int);
void Display(struct ConHandle *,char *,char **,int);
int Accept(struct ConHandle *,struct AcceptStructure *,int);
int AcceptString(struct ConHandle *,struct AcceptStructure *,int);
int (*SetMsgHandler(struct ConHandle *,int (*)()))();
struct ConInfo *GetInfo(struct ConHandle *,struct ConInfo *);
void SetGfx(struct ConHandle *,int,int,int);
void GotoXY(struct ConHandle *,int,int);
void Cursor(struct ConHandle *,int);
void Scroll(struct ConHandle *,int);
char *Convert(char *,char *,int,int);

#endif
